### Class

# Vte Pty

#### Description

    final class Vte.Pty : GObject.Object
      implements Gio.Initable {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### vte_pty_new_foreign_sync

Creates a new `VtePty` for the PTY master `fd`.

###### vte_pty_new_sync

Allocates a new pseudo-terminal.

#### Instance methods

###### vte_pty_child_setup

No description available.

###### vte_pty_close

Since 0.42 this is a no-op.

deprecated: 0.42

###### vte_pty_get_fd

No description available.

###### vte_pty_get_size

Reads the pseudo terminal’s window size.

###### vte_pty_set_size

Attempts to resize the pseudo terminal’s window size. If successful, the OS kernel will send SIGWINCH to the child process group.

###### vte_pty_set_utf8

Tells the kernel whether the terminal is UTF-8 or not, in case it can make use of the info. Linux 2.6.5 or so defines IUTF8 to make the line discipline do multibyte backspace correctly.

###### vte_pty_spawn_async

Like vte_pty_spawn_with_fds_async(), except that this function does not allow passing file descriptors to the child process. See `vte_pty_spawn_with_fds_async()` for more information.

since: 0.48

###### vte_pty_spawn_finish

No description available.

since: 0.48

###### vte_pty_spawn_with_fds_async

Starts the specified command under the pseudo-terminal `pty`. The `argv` and `envv` lists should be `NULL`-terminated. The “TERM” environment variable is automatically set to a default value, but can be overridden from `envv`. `pty_flags` controls logging the session to the specified system log files.

since: 0.62

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Vte.Pty:fd

The file descriptor of the PTY master.

###### Vte.Pty:flags

Flags.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct VtePtyClass {
      /* no available fields */
    }

No description available.